Bug 226264 - graphics/evince-lite pkg-plist error
Summary: graphics/evince-lite pkg-plist error
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-02-28 16:25 UTC by Christian Heckendorf
Modified: 2018-05-11 20:10 UTC (History)
6 users (show)

See Also:
pi: maintainer-feedback-


Attachments
patch (427 bytes, patch)
2018-02-28 16:25 UTC, Christian Heckendorf
no flags Details | Diff
11.1 build log without patch, gz for size (64.81 KB, application/gzip)
2018-05-11 13:12 UTC, Christian Heckendorf
no flags Details
11.1 build log with patch, gz for size (64.77 KB, application/gzip)
2018-05-11 13:14 UTC, Christian Heckendorf
no flags Details
build fix (505 bytes, patch)
2018-05-11 18:05 UTC, Ivan Rozhuk
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Heckendorf 2018-02-28 16:25:28 UTC
Created attachment 191081 [details]
patch

pkg-static: Unable to access file /wrkdirs/usr/ports/graphics/evince-lite/work/stage/usr/local/lib/systemd/user/evince.service:No such file or directory
Comment 1 Ivan Rozhuk 2018-03-03 11:48:34 UTC
Same thing then build without DBUS.
We have no systemd at all.
Comment 2 VVD 2018-03-03 14:03:44 UTC
Just remove string "lib/systemd/user/evince.service" from file graphics/evince/pkg-plist.
Comment 3 VVD 2018-03-03 14:04:23 UTC
Missed that you already wrote patch. :-]
Comment 4 Ivan Rozhuk 2018-05-10 23:54:46 UTC
Can some one commit this patch?
Comment 5 Ryan Steinmetz freebsd_committer freebsd_triage 2018-05-11 03:17:48 UTC
Build problems with dependency, unable to verify problem/fix.  Returning to gnome@
Comment 6 Christian Heckendorf 2018-05-11 13:12:20 UTC
Created attachment 193281 [details]
11.1 build log without patch, gz for size
Comment 7 Christian Heckendorf 2018-05-11 13:14:25 UTC
Created attachment 193282 [details]
11.1 build log with patch, gz for size

I added some poudriere build logs with and without the patch applied, in case it helps. Logs are compressed with gzip because of the attachment size limitation.
Comment 8 Ivan Rozhuk 2018-05-11 14:33:50 UTC
I dont understand what is happening.

Simple patch that remove ONE file from package.
We have no systemd, this file does not used.
This file does not created if DBUS option uset.
Comment 9 Kurt Jaeger freebsd_committer 2018-05-11 15:01:20 UTC
removing the file from pkg-plist does not help if the make install process installs the file. One has to find the place where it's put in the $STAGEDIR.
Comment 10 Kurt Jaeger freebsd_committer 2018-05-11 15:02:08 UTC
(In reply to Christian Heckendorf from comment #6)
Please do not attach build logs to PRs, this bloats the bugzilla database.

If possible, put the logfiles somewhere on a webpage and put the link in the PR.
Comment 11 commit-hook freebsd_committer 2018-05-11 15:46:18 UTC
A commit references this bug:

Author: pi
Date: Fri May 11 15:45:57 UTC 2018
New revision: 469646
URL: https://svnweb.freebsd.org/changeset/ports/469646

Log:
  graphics/evince-lite: do not install a systemd config file

  PR:		226264
  Submitted by:	Christian Heckendorf <heckendorfc@gmail.com>
  Approved by:	gnome (maintainer timeout)

Changes:
  head/graphics/evince-lite/Makefile
  head/graphics/evince-lite/pkg-plist
Comment 12 Ivan Rozhuk 2018-05-11 18:01:07 UTC
/bin/rm -f /tmp/ports/usr/ports/graphics/evince-lite/work/stage/usr/local/lib/systemd/user/evince.service
/bin/rmdir /tmp/ports/usr/ports/graphics/evince-lite/work/stage/usr/local/lib/systemd/user
rmdir: /tmp/ports/usr/ports/graphics/evince-lite/work/stage/usr/local/lib/systemd/user: No such file or directory
*** Error code 1
Comment 13 Ivan Rozhuk 2018-05-11 18:05:33 UTC
Created attachment 193285 [details]
build fix
Comment 14 commit-hook freebsd_committer 2018-05-11 18:10:32 UTC
A commit references this bug:

Author: pi
Date: Fri May 11 18:10:20 UTC 2018
New revision: 469682
URL: https://svnweb.freebsd.org/changeset/ports/469682

Log:
  graphics/evince-lite: another attempt to fix the pkg-plist issue

  PR:		226264
  Submitted by:	rozhuk.im@gmail.com

Changes:
  head/graphics/evince-lite/Makefile
Comment 15 Ivan Rozhuk 2018-05-11 20:10:22 UTC
Thanks!